# schritte.py
## neue Version 12'2018

import wx

class Schritte(wx.Timer):
    '''Klasse fuer die schrittweise Ausfuehrung'''

    def __init__(self, owner, anzahlSchritte, schrittProzedur):
        wx.Timer.__init__(self, owner)
        self.__anzahl = anzahlSchritte
        self.__schrittNummer = 0 # 0 ist der Initialisierungswert
        self.__schrittProzedur=schrittProzedur

    def GibN(self):
        return self.__schrittNummer
        
    def Notify(self):
        self.__schrittProzedur()
        self.__schrittNummer+=1
        if self.__schrittNummer>self.__anzahl:
            self.Stop()
            
